Subject: [PATCH 4/6] ARM: zImage: gather some string functions into string.c

From: [email-masked] (Dave Martin)
Date: Wed, 14 Sep 2011 15:23:26 +0100

On Wed, Sep 14, 2011 at 09:45:00AM -0400, Nicolas Pitre wrote:
> On Wed, 14 Sep 2011, Dave Martin wrote:
> 
> > Have you seen this?
> > http://en.wikipedia.org/wiki/Duff%27s_device
> 
> Yeah... I did stumble across something similar in the gcc test suite.
> 
> > Once I finished vomiting, this actually struck be as rather neat.
> > 
> > If I've understood right, it seems a good fit for the manual unrolling
> > you do here.
> 
> Maybe.  However this patch is about moving code, not "improving" it.  ;-)

Fair enough -- it was really just a side-comment rather than an issue
with the patch.

---Dave